wayland::server::zwp_input_timestamps_manager_v1_t(3)

NAME
wayland::server::zwp_input_timestamps_manager_v1_t - context object for high-resolution input timestamps

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the input timestamps manager object
std::function< void(zwp_input_timestamps_v1_t, keyboard_t)> & on_get_keyboard_timestamps ()
subscribe to high-resolution keyboard timestamp events
std::function< void(zwp_input_timestamps_v1_t, pointer_t)> & on_get_pointer_timestamps ()
subscribe to high-resolution pointer timestamp events
std::function< void(zwp_input_timestamps_v1_t, touch_t)> & on_get_touch_timestamps ()
subscribe to high-resolution touch timestamp events
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

Detailed Description

context object for high-resolution input timestamps

A global interface used for requesting high-resolution timestamps for input events.

Definition at line 1216 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zwp_input_timestamps_manager_v1_t::on_destroy ()

destroy the input timestamps manager object Informs the server that the client will no longer be using this protocol object. Existing objects created by this object are not affected.

Definition at line 4721 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zwp_input_timestamps_v1_t, keyboard_t)> & zwp_input_timestamps_manager_v1_t::on_get_keyboard_timestamps ()

subscribe to high-resolution keyboard timestamp events

Parameters
    id
    keyboard the wl_keyboard object for which to get timestamp events

Creates a new input timestamps object that represents a subscription to high-resolution timestamp events for all wl_keyboard events that carry a timestamp.

If the associated wl_keyboard object is invalidated, either through client action (e.g. release) or server-side changes, the input timestamps object becomes inert and the client should destroy it by calling zwp_input_timestamps_v1.destroy.

Definition at line 4727 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zwp_input_timestamps_v1_t, pointer_t)> & zwp_input_timestamps_manager_v1_t::on_get_pointer_timestamps ()

subscribe to high-resolution pointer timestamp events

Parameters
    id
    pointer the wl_pointer object for which to get timestamp events

Creates a new input timestamps object that represents a subscription to high-resolution timestamp events for all wl_pointer events that carry a timestamp.

If the associated wl_pointer object is invalidated, either through client action (e.g. release) or server-side changes, the input timestamps object becomes inert and the client should destroy it by calling zwp_input_timestamps_v1.destroy.

Definition at line 4733 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zwp_input_timestamps_v1_t, touch_t)> & zwp_input_timestamps_manager_v1_t::on_get_touch_timestamps ()

subscribe to high-resolution touch timestamp events

Parameters
    id
    touch the wl_touch object for which to get timestamp events

Creates a new input timestamps object that represents a subscription to high-resolution timestamp events for all wl_touch events that carry a timestamp.

If the associated wl_touch object becomes invalid, either through client action (e.g. release) or server-side changes, the input timestamps object becomes inert and the client should destroy it by calling zwp_input_timestamps_v1.destroy.

Definition at line 4739 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Author

Generated automatically by Doxygen for Wayland++ from the source code.